import type { App } from "./app.js";
import type { Collection } from "./collection_model.js";
import type { Record as RecordModel } from "./record_model.js";
import { OTP } from "./otp_model.js";
export declare function FindAllOTPsByRecord(app: App, authRecord: RecordModel): OTP[];
export declare function FindAllOTPsByCollection(app: App, collection: Collection): OTP[];
export declare function FindOTPById(app: App, id: string): OTP;
export declare function DeleteAllOTPsByRecord(app: App, authRecord: RecordModel): Promise<Error | null>;
export declare function DeleteExpiredOTPs(app: App): Promise<Error | null>;
